Turn on/off the Large Text in Universal Access, it doesn't work immediately

Bug #1408212 reported by Eason on 2015-01-07
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Medium
Unassigned
Unity
Fix Released
High
Andrea Azzarone
gtk+3.0 (Ubuntu)
High
Iain Lane
unity (Ubuntu)
High
Andrea Azzarone

Bug Description

Turn on/off the Large Text in Universal Access, it doesn't work immediately.

打开或关闭大号文本,该设置不会立马生效

Steps:
1. Enter into system settings-->Universal Access-->Seeing
2. Turn on/off the Large Text, check the result
-->Failed. It doesn't work immediately.

Configuration:
OS: Vivid x64 Daily Build 20150106

Related branches

Changed in ubuntukylin:
importance: Undecided → Medium
Changed in unity-control-center (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Confirmed, the settings correctly change com.canonical.Unity.Interface text-scale-factor from 1.0 to 1.25 but Unity fails to update the gtk setting (which it's supposed to do), reassigning there

affects: unity-control-center (Ubuntu) → unity (Ubuntu)
Changed in unity (Ubuntu):
importance: Low → High
Andrea Azzarone (azzar1) on 2015-01-29
Changed in unity:
status: New → Confirmed
importance: Undecided → High
milestone: none → 7.3.1
Andrea Azzarone (azzar1) on 2015-01-29
Changed in unity:
status: Confirmed → In Progress
Changed in unity (Ubuntu):
status: Confirmed → In Progress
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
William Hua (attente) wrote :

This used to work in GTK+ as well, but stopped working with this commit: https://git.gnome.org/browse/gtk+/commit/?id=e643ddfd168f81d80400cf67a0ff4b8808ea043c.

Changed in gtk+3.0 (Ubuntu):
importance: Undecided → High
status: New → In Progress
assignee: nobody → Iain Lane (laney)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.3.1+15.04.20150205-0ubuntu1

---------------
unity (7.3.1+15.04.20150205-0ubuntu1) vivid; urgency=medium

  [ Brandon Schaefer ]
  * Try to set the folder permission otherwise Handle permission error.
    (LP: #1418255)

  [ Andrea Azzarone ]
  * Actually connect to changed::* signal in MenuManager.cpp. (LP:
    #1411620)
  * Actually connect to changed::* signal in UnitySettings.cpp. (LP:
    #1408212)
 -- Ubuntu daily release <email address hidden> Thu, 05 Feb 2015 17:27:47 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.14.8-0ubuntu1

---------------
gtk+3.0 (3.14.8-0ubuntu1) vivid; urgency=medium

  * Fallback icon themes are deprecated & ignored upstream, drop the patch and
    the setting in debian/settings.ini.
  * New upstream release.
    + Fixes XConvertSelection crashing GTK apps. (LP: #1395250)
  * 0001-Menu-items-force-loading-16x16-icons.patch,
    0002-gtkimagemenuitem-create-widget-for-action-icons-lazi.patch: Drop,
    applied in this release.
  * debian/patches/0001-css-Add-gtk-dpi-CSS-property-hack.patch,
    debian/patches/0002-css-use-pre-3.16-gtk_css_style_property_register.patch:
    Cherry-pick patches from upstream to fix apps responding to changes to the
    value of the org.gnome.desktop.interface text-scaling factor key. (LP:
    #1408212)
  * Bump version of a-i-t build-dep to get more icons required for reftests.
 -- Iain Lane <email address hidden> Mon, 09 Feb 2015 18:00:35 +0000

Changed in gtk+3.0 (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntukylin:
status: New → Fix Released
assignee: Ubuntu Kylin Members (ubuntukylin-members) → nobody
Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
milestone: 7.3.1 → 7.3.2
Changed in unity:
milestone: 7.3.2 → 7.3.1
status: In Progress → Fix Released
dbclinton (dbclin) wrote :

I'm still getting this bug running Gnome-Fallback. Here's my uname -a:
Linux WD-System 3.13.0-53-generic #89-Ubuntu SMP Wed May 20 10:34:39 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers